org.jboss.jca.core.tx.jbossts

## Class XAResourceWrapperStatImpl

- java.lang.Object
- - org.jboss.jca.core.tx.jbossts.XAResourceWrapperImpl
  - - org.jboss.jca.core.tx.jbossts.XAResourceWrapperStatImpl

- All Implemented Interfaces:
    javax.transaction.xa.XAResource, org.jboss.tm.XAResourceWrapper
  Direct Known Subclasses:
    ConnectableXAResourceWrapperStatImpl, FirstResourceXAResourceWrapperStatImpl

      public class XAResourceWrapperStatImpl
      extends XAResourceWrapperImpl

  A XAResourceWrapper with statistics
  Author:
    Jesper Pedersen

- - ### Field Summary

    - ### Fields inherited from interface javax.transaction.xa.XAResource

      `TMENDRSCAN, TMFAIL, TMJOIN, TMNOFLAGS, TMONEPHASE, TMRESUME, TMSTARTRSCAN, TMSUCCESS, TMSUSPEND, XA_OK, XA_RDONLY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XAResourceWrapperStatImpl(javax.transaction.xa.XAResource resource, boolean pad, java.lang.Boolean override, java.lang.String productName, java.lang.String productVersion, java.lang.String jndiName, org.jboss.jca.core.spi.transaction.XAResourceStatistics xastat)` Creates a new wrapper instance.
    `XAResourceWrapperStatImpl(javax.transaction.xa.XAResource resource, java.lang.String productName, java.lang.String productVersion, org.jboss.jca.core.spi.transaction.XAResourceStatistics xastat)` Creates a new wrapper instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `commit(javax.transaction.xa.Xid xid, boolean onePhase)`
    `void` | `end(javax.transaction.xa.Xid xid, int flags)`
    `void` | `forget(javax.transaction.xa.Xid xid)`
    `int` | `prepare(javax.transaction.xa.Xid xid)`
    `javax.transaction.xa.Xid[]` | `recover(int flag)`
    `void` | `rollback(javax.transaction.xa.Xid xid)`
    `void` | `start(javax.transaction.xa.Xid xid, int flags)`

    - ### Methods inherited from class org.jboss.jca.core.tx.jbossts.XAResourceWrapperImpl

      `equals, getJndiName, getProductName, getProductVersion, getResource, getTransactionTimeout, hashCode, isSameRM, setTransactionTimeout, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XAResourceWrapperStatImpl

          public XAResourceWrapperStatImpl(javax.transaction.xa.XAResource resource,
                                           java.lang.String productName,
                                           java.lang.String productVersion,
                                           org.jboss.jca.core.spi.transaction.XAResourceStatistics xastat)

      Creates a new wrapper instance.
      Parameters:
        `resource` - xaresource
        `productName` - product name
        `productVersion` - product version
        `xastat` - The statistics

    - #### XAResourceWrapperStatImpl

          public XAResourceWrapperStatImpl(javax.transaction.xa.XAResource resource,
                                           boolean pad,
                                           java.lang.Boolean override,
                                           java.lang.String productName,
                                           java.lang.String productVersion,
                                           java.lang.String jndiName,
                                           org.jboss.jca.core.spi.transaction.XAResourceStatistics xastat)

      Creates a new wrapper instance.
      Parameters:
        `resource` - xaresource
        `pad` - pad
        `override` - override
        `productName` - product name
        `productVersion` - product version
        `jndiName` - jndi name
        `xastat` - The statistics

  - ### Method Detail

    - #### commit

          public void commit(javax.transaction.xa.Xid xid,
                             boolean onePhase)
                      throws javax.transaction.xa.XAException

      Specified by:
        `commit` in interface `javax.transaction.xa.XAResource`
      Overrides:
        `commit` in class `XAResourceWrapperImpl`
      Throws:
        `javax.transaction.xa.XAException`

    - #### end

          public void end(javax.transaction.xa.Xid xid,
                          int flags)
                   throws javax.transaction.xa.XAException

      Specified by:
        `end` in interface `javax.transaction.xa.XAResource`
      Overrides:
        `end` in class `XAResourceWrapperImpl`
      Throws:
        `javax.transaction.xa.XAException`

    - #### forget

          public void forget(javax.transaction.xa.Xid xid)
                      throws javax.transaction.xa.XAException

      Specified by:
        `forget` in interface `javax.transaction.xa.XAResource`
      Overrides:
        `forget` in class `XAResourceWrapperImpl`
      Throws:
        `javax.transaction.xa.XAException`

    - #### prepare

          public int prepare(javax.transaction.xa.Xid xid)
                      throws javax.transaction.xa.XAException

      Specified by:
        `prepare` in interface `javax.transaction.xa.XAResource`
      Overrides:
        `prepare` in class `XAResourceWrapperImpl`
      Throws:
        `javax.transaction.xa.XAException`

    - #### recover

          public javax.transaction.xa.Xid[] recover(int flag)
                                             throws javax.transaction.xa.XAException

      Specified by:
        `recover` in interface `javax.transaction.xa.XAResource`
      Overrides:
        `recover` in class `XAResourceWrapperImpl`
      Throws:
        `javax.transaction.xa.XAException`

    - #### rollback

          public void rollback(javax.transaction.xa.Xid xid)
                        throws javax.transaction.xa.XAException

      Specified by:
        `rollback` in interface `javax.transaction.xa.XAResource`
      Overrides:
        `rollback` in class `XAResourceWrapperImpl`
      Throws:
        `javax.transaction.xa.XAException`

    - #### start

          public void start(javax.transaction.xa.Xid xid,
                            int flags)
                     throws javax.transaction.xa.XAException

      Specified by:
        `start` in interface `javax.transaction.xa.XAResource`
      Overrides:
        `start` in class `XAResourceWrapperImpl`
      Throws:
        `javax.transaction.xa.XAException`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)